function [] = throw_back(ur,TextArea)
% Funkcia pre vlozenie kocky naspat do zasobnika ak je potrebna pre dalsie
% poschodie
%% Pozicia nad koncom zasobnika
throw_back_position = [-0.171   -0.1263    0.3025   -1.9342   -1.9283   -0.4115];
%% Pohyby
k = 1;                                  % premenna pre osetrenie zaseknutia vo while
TextArea.Value = 'Wrong color, but I will use it later';
position = transpose(ur.pose);          % zistenie aktualnej pozicie
position(3) = position(3) + 0.04;       % pripocitanie pousuvu do + z
ur.RG2(0,50,0,false,false);             % uchopenie kocky
    while ur.gripper_pose > 20
          ur.RG2(0,50,0,false,false);
          if k > 5 ;return; end
          k = k + 1;
    end
    k = 1;
ur.movel(position);                     % lin. pohyb nad aktualnu poziciu
ur.movej(throw_back_position);          % pohyb nad zasobnik
ur.RG2(30,40,0,false,false);            % uvolnenie kocky silou 40 N
    while ur.gripper_pose < 20
          ur.RG2(30,50,0,false,false);
          if k > 5 ;return; end
          k = k + 1;
    end
    k = 1;
end

